slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSCISSSetThreshold

Sets the values of various threshold parameters in the CISS solver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSSetThreshold(EPS eps,PetscReal delta,PetscReal spur)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| delta | - threshold for numerical rank
| spur | - spurious threshold (to discard spurious eigenpairs)

### Options Database Keys

| -eps_ciss_delta | - Sets the delta
| -eps_ciss_spurious_threshold | - Sets the spurious threshold

### See Also

EPSCISSGetThreshold()

### Level

advanced

### Location

src/eps/impls/ciss/ciss.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages